> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Criterion Versions



## OpenAPI

````yaml https://api.dev-sgp.scale.com/openapi-versions/v5/openapi.json get /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions
openapi: 3.1.0
info:
  title: EGP API V5
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
paths:
  /v5/rubrics/{rubric_id}/criteria/{rubric_criteria_id}/versions:
    get:
      tags:
        - Rubrics
      summary: List Criterion Versions
      operationId: GET-V5-/v5/rubrics/rubric_id/criteria/rubric_criteria_id/versions
      parameters:
        - name: rubric_id
          in: path
          required: true
          schema:
            title: Rubric Id
            type: string
        - name: rubric_criteria_id
          in: path
          required: true
          schema:
            type: string
            title: Rubric Criteria Id
        - name: starting_after
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Starting After
        - name: ending_before
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ending Before
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 10000
            minimum: 1
            default: 100
            title: Limit
        - name: sort_by
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Sort By
        - name: sort_order
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SortOrder'
              - type: 'null'
            default: asc
            title: Sort Order
        - name: x-selected-account-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Account ID Header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedList_RubricCriteriaResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - asc
        - desc
      title: SortOrder
    PaginatedList_RubricCriteriaResponse_:
      properties:
        object:
          type: string
          const: list
          title: Object
          default: list
        items:
          items:
            $ref: '#/components/schemas/RubricCriteriaResponse'
          type: array
          title: Items
        limit:
          type: integer
          title: Limit
          description: The maximum number of items to return.
          default: 100
        total:
          type: integer
          title: Total
          description: >-
            The total of items that match the query. This is greater than or
            equal to the number of items returned.
        has_more:
          type: boolean
          title: Has More
          description: Whether there are more items left to be fetched.
      type: object
      required:
        - items
        - total
        - has_more
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    RubricCriteriaResponse:
      properties:
        id:
          type: string
          title: Id
        object:
          type: string
          const: rubric_criteria
          title: Object
          default: rubric_criteria
        rubric_id:
          title: Rubric Id
          type: string
        version:
          type: integer
          title: Version
        title:
          type: string
          title: Title
        weight:
          title: Weight
          type: number
        annotations:
          title: Annotations
          additionalProperties: true
          type: object
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - rubric_id
        - version
        - title
        - created_at
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          title: Error Type
          type: string
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-api-key

````